## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

%ifarch %{golang_arches}
%bcond man 1
%endif

Name:           composefs
Version:        1.0.8
Release:        2%{?dist}
Summary:        Tools to handle creating and mounting composefs images

License:        LGPL-2.0-or-later AND Apache-2.0
URL:            https://github.com/containers/composefs
Source0:        https://github.com/containers/composefs/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc meson openssl-devel fuse3-devel
%if %{with man}
BuildRequires:  go-md2man
%endif

Requires:       %{name}-libs = %{version}-%{release}

%description
Tools to handle creating and mounting composefs images. The composefs
project combines several underlying Linux features to provide a very
flexible mechanism to support read-only mountable filesystem trees,
stacking on top of an underlying "lower" Linux filesystem.

Please see https://github.com/containers/composefs for more information.

%package        devel
Summary:        Devel files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description    devel
Devel files for %{name}.

%package        libs
Summary:        Libraries for %{name}
License:        LGPL-2.1-or-later AND (GPL-2.0-only OR Apache-2.0)

%description    libs
Library files for %{name}.

%prep
%autosetup -p1

%build
%meson --default-library=shared -Dfuse=enabled \
%if %{with man}
  -Dman=enabled 
%endif
%meson_build

%install
%meson_install
rm -v $RPM_BUILD_ROOT/%{_libdir}/libcomposefs*.a

%files devel
%{_includedir}/libcomposefs
%{_libdir}/libcomposefs.so
%{_libdir}/pkgconfig/%{name}.pc

%files libs
%license COPYING COPYING.GPL-2.0-only COPYING.GPL-2.0-or-later COPYING.LGPL-2.1-or-later LICENSE.Apache-2.0
%{_libdir}/libcomposefs.so.*

%files
%license COPYING COPYING.GPL-2.0-only COPYING.GPL-2.0-or-later COPYING.LGPL-2.1-or-later LICENSE.Apache-2.0
%doc README.md
%{_bindir}/mkcomposefs
%{_bindir}/composefs-info
%{_sbindir}/mount.composefs
%if %{with man}
%{_mandir}/man*/*
%endif

%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jan 03 2025 Colin Walters <walters@verbum.org> - 1.0.8-1
- Update to https://github.com/containers/composefs/releases/tag/v1.0.8

* Sat Dec 07 2024 Colin Walters <walters@verbum.org> - 1.0.7-2
- Update for relicensing, fix man conditionals

* Sat Dec 07 2024 Colin Walters <walters@verbum.org> - 1.0.7-1
- Update to 1.0.7

* Mon Sep 16 2024 Colin Walters <walters@verbum.org> - 1.0.6-1
- https://github.com/containers/composefs/releases/tag/v1.0.6

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed May 29 2024 Colin Walters <walters@verbum.org> - 1.0.4-1
- Update to 1.0.4

* Mon Jan 29 2024 Stephen Smoogen <ssmoogen@redhat.com> - 1.0.3-2
- Remove patch integrated into upstream.

* Mon Jan 29 2024 Stephen Smoogen <ssmoogen@redhat.com> - 1.0.3-1
- Update to upstream 1.0.3
- Changes since 1.0.2: * Image format version 1 was added that allows
  storing overlay whiteouts in a composefs image. * libcomposefs added
  max_version option * mkcomposefs added --version and --max-version
  options * composefs can now be build without go-md2man * Minor bugfix
  handling file read errors

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 15 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 1.0.2-3
- Enable build on i686 without manpages

* Thu Dec 14 2023 Stephen Smoogen <ssmoogen@redhat.com> - 1.0.2-2
- Remove patch 227 from the build as it is no longer needed.

* Thu Dec 14 2023 Stephen Smoogen <ssmoogen@redhat.com> - 1.0.2-1
- Update to 1.0.2

* Fri Nov 10 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 1.0.1-5
- Drop i686

* Thu Nov 09 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 1.0.1-4
- Use go-md2man for building manpages

* Mon Nov 06 2023 Colin Walters <walters@verbum.org> - 1.0.1-3
- Use `%%autochangelog`

* Mon Nov 06 2023 Colin Walters <walters@verbum.org> - 1.0.1-2
- Add a requirement from -devel to -libs

* Wed Oct 25 2023 Stephen Smoogen <ssmoogen@redhat.com> - 1.0.1-1
- Initial Build of the composefs package.
## END: Generated by rpmautospec
